<?php
//--------------------------------------
function add_item()
{
   global $x2;
   $db=&$x2->db;

   $n=0;
   $query="SELECT COUNT(*) FROM ishop_item WHERE AGENTID=? AND CODE=?";
   $data=array($x2->agentid, UTF8decode($_REQUEST['CODE']) );
   if (($rs=$db->Execute($query,$data))===false) {
      echo $db->ErrorMsg();
      return;
   }
   if ($row=$rs->FetchRow()) {
      $n=(int)$row[0];
   }
   $rs->Close();
   if ($n>0) {
      echo "<h5>Ο κωδικός ήδη υπάρχει!</h5>
         <form><input type=BUTTON value=\"Επιστροφή\" onclick=\"history.back()\"></form>";
      return;
   }

   $icode=UTF8decode($_REQUEST['CODE']);
   $iname=UTF8decode($_REQUEST['NAME']).$icode;
   $trkey=ToEnglish( $icode." ".$iname );

   $data=array('AGENTID'=>$x2->agentid, 'CODE'=>$icode, 'NAME'=>$iname, 'TRKEY'=>$trkey );

   $keys=array('#COUVER', 'PAGENO', 'VIEWSEQ', 'COLOR', 'BGCOLOR', 'PAGENO2', 'UNIT',
      '#VATCAT', '@PRICE2', '@STDPRICE', 'INFO', '#LISTINCAT', '#PRINTSEQ',
      '#PRINTPOS', '#PRINTPOS2', '#PRINTPOS3' );

   foreach ($keys as $k1) {
      if ($k1{0}=='#') {
         $k2=substr($k1,1);
         $data[$k2]=(int)@$_REQUEST[$k2];
      }
      else if ($k1{0}=='@') {
         $k2=substr($k1,1);
         $data[$k2]=toFloat($_REQUEST[$k2]);
      }
      else {
         $data[$k1]=UTF8decode($_REQUEST[$k1]);
      }
   }

   if (!InsertEx($db,'ishop_item',$data)) {
		echo $db->ErrorMsg();
		return;
	}

	echo "<h5>Η εγγραφή καταχωρήθηκε!<br>
      Πρέπει να συγχρονίσετε όλα τα PDA σας.</h5>";
      
   if ((int)@$x2->Agp['XTRA_AUTOCOPY']>0)
      $x2->xtras_autocopy($icode);
}
//--------------------------------------
function upd_item()
{
   global $x2;
   $db=&$x2->db;

   $icode=UTF8decode($_REQUEST['CODE']);
   $iname=UTF8decode($_REQUEST['NAME']).$icode;
   $trkey=ToEnglish( $icode." ".$iname );

   $data=array('AGENTID'=>$x2->agentid, 'CODE'=>$icode, 'NAME'=>$iname, 'TRKEY'=>$trkey );

   $keys=array('#COUVER', 'PAGENO', 'VIEWSEQ', 'COLOR', 'BGCOLOR', 'PAGENO2', 'UNIT',
      '#VATCAT', '@PRICE2', '@STDPRICE', 'INFO', '#LISTINCAT', '#PRINTSEQ',
      '#PRINTPOS', '#PRINTPOS2', '#PRINTPOS3' );

   foreach ($keys as $k1) {
      if ($k1{0}=='#') {
         $k2=substr($k1,1);
         $data[$k2]=(int)@$_REQUEST[$k2];
      }
      else if ($k1{0}=='@') {
         $k2=substr($k1,1);
         $data[$k2]=toFloat($_REQUEST[$k2]);
      }
      else {
         $data[$k1]=UTF8decode($_REQUEST[$k1]);
      }
   }

   $prim=array('AGENTID', 'CODE');
   if (!ReplaceEx($db,'ishop_item',$data,$prim)) {
      echo $db->ErrorMsg();
      return;
   }
   // o.k.
   echo "<h5>Ενημερώθηκε!<br>
      Πρέπει να συγχρονίσετε όλα τα PDA σας.</h5>";
}
//--------------------------------------
function del_item()
{
   global $x2;
   $db=&$x2->db;

   if (!empty($_REQUEST['CANCEL'])) {
      echo "<h5>Διαγραφή ακυρώθηκε!</h5>";
      return;
   }

   $query="DELETE FROM ishop_item WHERE AGENTID=? AND CODE=?";
   $data=array($x2->agentid, UTF8decode($_REQUEST['CODE']) );
   if (!$db->Execute($query,$data)) {
      echo $db->ErrorMsg();
      return;
   }
   // o.k.
   echo "<h5>Διαγράφηκε!<br>
      Πρέπει να συγχρονίσετε όλα τα PDA σας.</h5>";
}
//--------------------------------------
function mai_item()
{
   switch ((int)$_SESSION['TODO'])
   {
   case 1: // Add
   case 2: // Edit
      ask_mai_item();
      break;
   case 3: // Del
      ask_del_item();
      break;
   }
}
//--------------------------------------
function ask_mai_item()
{
   global $x2;
   $db=&$x2->db;

   require('restau_color.inc.php');
   
   $printpos=array();
	if (!fill_printpos($printpos))
		return;

   $ctg=array();
   if (!fill_ctg($ctg))
   	return;

   $o1=false;
   if ($_SESSION['TODO']==2) {
      $query="SELECT CODE, NAME, COUVER, PAGENO, VIEWSEQ, COLOR, BGCOLOR, PAGENO2, UNIT,
         VATCAT, PRICE2, STDPRICE, INFO, LISTINCAT, PRINTSEQ, PRINTPOS, PRINTPOS2, PRINTPOS3
         FROM ishop_item WHERE AGENTID=? AND CODE=?";
      $data=array( $x2->agentid, UTF8decode($_SESSION['XDATA'][0]) );
      if (($rs=$db->Execute($query,$data))===false) {
         echo $db->ErrorMsg();
         return;
      }
      $o1=$rs->FetchNextObject();
      $rs->Close();
      if ($o1===false) {
         echo "<h5>Record ".$_SESSION['XDATA'][0]." not found!</h5>";
         return;
      }
   }

   $reArray=array();
	if (!fill_reseller($reArray))
		return;

	$printpos=array();
	if (!fill_printpos($printpos))
		return;

	echo "<b>".($o1===false?'Νέα εγγραφή':'Διόρθωση εγγραφής')."</b>";
?>
<table>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="GET">
<input type=HIDDEN name="FUNCTION" value="<?php echo ($o1===false)?11:12; ?>">
<tr>
   <td class=myLabel>Κωδικός</td>
   <td><?php
      if ($o1===false)
         echo "<input type=TEXT name=\"CODE\" onclick=\"sf(this)\" MAXLENGTH=20>";
      else
         echo myhtml($o1->CODE)."<input type=HIDDEN name=\"CODE\" value=\"".myhtml($o1->CODE)."\">";
   ?></td>
</tr>
<tr>
   <td class=myLabel>Τύπος</td>
   <td class=myInput><select name="COUVER" onclick="sf(this)"><?php
	     $ar1=array('Normal', 'Κουβέρ', 'Ticket');
        prAssocSelErr($ar1, $o1?$o1->COUVER:0);
    ?></select></td>
</tr>
<tr>
   <td class=myLabel>Ονομασία</td>
   <td class=myInput><input type=TEXT name="NAME" value="<?php if ($o1) echo myhtml($o1->NAME); ?>"
      MAXLENGTH=50 onclick="sf(this)"></td>
</tr>
<tr>
   <td class=myLabel>Κατηγορία (1)</td>
   <td class=myInput><select name="PAGENO" onclick="sf(this)"><?php
		prAssocSelErr($ctg,$o1?$o1->PAGENO:'');
		?></select></td>
</tr>
<tr>
   <td class=myLabel>Σειρά POS</td>
   <td class=myInput><input type=TEXT name="VIEWSEQ" value="<?php if ($o1) echo myhtml($o1->VIEWSEQ); ?>"
      onclick="sf(this)"></td>
</tr>
<tr>
   <td class=myLabel>Χρώμα</td>
   <td class=myInput><select name="COLOR" onclick="sf(this)"><?php
		foreach ($colors as $c1) {
         echo "<option";
         if ( (isset($o1->COLOR) && strcasecmp($c1, $o1->COLOR)==0) || (!isset($o1->COLOR) && strcasecmp($c1,'')==0) ) {
            echo " SELECTED";
         }
         echo ">$c1\n";
      }
		?></select></td>
</tr>
<tr>
   <td class=myLabel>Background</td>
   <td class=myInput><select name="BGCOLOR" onclick="sf(this)"><?php
		foreach ($colors as $c1) {
         echo "<option";
         if ( (isset($o1->BGCOLOR) && strcasecmp($c1, $o1->BGCOLOR)==0) || (!isset($o1->BGCOLOR) && strcasecmp($c1,'')==0) ) {
            echo " SELECTED";
         }
         echo ">$c1\n";
      }
		?></select></td>
</tr>
<tr>
   <td class=myLabel>&nbsp;</td>
	<td class=myInput><a href="javascript:color_preview()"><img src="../img/eye.png" border=0></a>
      <span id=prvcolor>&nbsp;abcde&nbsp;</span></td>
</tr>
<tr>
   <td class=myLabel>Κατηγορία (2)</td>
   <td class=myInput><select name="PAGENO2" onclick="sf(this)"><?php
		prAssocSelErr($ctg,$o1?$o1->PAGENO2:'');
		?></select></td>
</tr>
<tr>
   <td class=myLabel>Μονάδα μέτρησης</td>
   <td class=myInput><input type=text name="UNIT" value="<?php if ($o1) echo myhtml($o1->UNIT); ?>"
      MAXLENGTH=20 onclick="sf(this)"></td>
</tr>
<tr>
   <td class=myLabel>Κατηγορία ΦΠΑ</td>
   <td class=myInput><select name="VATCAT" onclick="sf(this)"><?php
	   $data=array();
      if (($arr=explode(' ', $x2->Agp['VATDATA']))!==false) {
         for ($i=0;$i<4;$i++) {
            if ($i>=count($arr))
               break;

            $data[$i+1]=$arr[$i];
         }
      }
      prAssocSelErr($data, $o1?$o1->VATCAT:1 );
      ?></select>%</td>
</tr>
<tr>
   <td class=myLabel>Τιμή/ 2</td>
   <td class=myInput><input type=text name="PRICE2" value="<?php if ($o1) echo myhtml($o1->PRICE2); ?>"
      onclick="sf(this)"></td>
</tr>
<tr>
   <td class=myLabel>Σταθερό κόστος</td>
   <td class=myInput><input type=text name="STDPRICE" value="<?php if ($o1) echo myhtml($o1->STDPRICE); ?>"
      onclick="sf(this)"></td>
</tr>
<tr>
   <td class=myLabel>Πληροφορίες</td>
   <td class=myInput><input type=text name="INFO" value="<?php if ($o1) echo myhtml($o1->INFO); ?>"
      ΜΑΧΛΕΝΓΤΗ=255 onclick="sf(this)"></td>
</tr>
<tr>
	 <td class=myLabel>Εμφάνιση στον κατάλογο</td>
	 <td class=myInput><input type=CHECKBOX name="LISTINCAT" <?php
	 	  if (!empty($o1->LISTINCAT)) echo "CHECKED";
      ?> onclick="sf(this)"> Ναι</td>
</tr>
<tr>
	 <td class=myLabel>Σειρά εκτύπωσης</td>
	 <td class=myInput><input type=TEXT name="PRINTSEQ"
	 	value="<?php echo $o1?$o1->PRINTSEQ:99; ?>" onclick="sf(this)"></td>
</tr>
<tr>
   <td class=myLabel>Θέση εκτύπωσης</td>
   <td class=myInput><select name="PRINTPOS" onclick="sf(this)"><?php
      prAssocSelErr($printpos, $o1===false?0:$o1->PRINTPOS);
      ?></select></td>
</tr>
<tr>
   <td class=myLabel>Θέση εκτύπωσης</td>
   <td class=myInput><select name="PRINTPOS2" onclick="sf(this)"><?php
      prAssocSelErr($printpos, $o1===false?0:$o1->PRINTPOS2);
      ?></select></td>
</tr>
<tr>
   <td class=myLabel>Θέση εκτύπωσης</td>
   <td class=myInput><select name="PRINTPOS3" onclick="sf(this)"><?php
      prAssocSelErr($printpos, $o1===false?0:$o1->PRINTPOS3);
      ?></select></td>
</tr>
<tr>
   <td></td>
   <td class=myButton><input type=SUBMIT name="ok" value="<?php
      echo ($o1===false)?'Δημιουργία':'Ενημέρωση';
   ?>">
   <A class=INFO href="javascript:ToGreekEx()">Gr</A></td>
</tr>
</form>
</table>
<?php
}
//--------------------------------------
function ask_del_item()
{
   global $x2;
   $db=&$x2->db;

   $query="SELECT CODE, NAME FROM ishop_item WHERE AGENTID=? AND CODE=?";
   $data=array($x2->agentid, UTF8decode($_SESSION['XDATA'][0]) );
   if (($rs=$db->Execute($query,$data))===false) {
      echo $db->ErrorMsg();
      return;
   }
   $o1=$rs->FetchNextObject();
   $rs->Close();
   if ($o1===false) {
      echo "<h5>Record ".$_SESSION['XDATA'][0]." not found!</h5>";
      return;
   }
?>
<b>Διαγραφή τραπεζιού</b>
<table>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="GET">
<input type=HIDDEN name="FUNCTION" value="13">
<input type=HIDDEN name="CODE" value="<?php echo myhtml($o1->CODE); ?>">
<tr>
   <td class=myLabel>Κωδικός</td>
   <td class=myInput><?php echo myhtml($o1->CODE); ?></td>
</tr>
<tr>
   <td class=myLabel>Περιγραφή</td>
   <td class=myInput><?php echo myhtml($o1->NAME); ?></td>
</tr>
<tr>
   <td></td>
   <td class=myLabel><b>Να διαγραφεί η εγγραφή?</b></td>
</tr>
<tr>
   <td></td>
   <td class=myButton>
      <input type=SUBMIT name="ok" value="NAI">
      <input type=SUBMIT name="CANCEL" value="OXI">
   </td>
</tr>
</form>
</table>
<?php
}
//--------------------------------------
?>